Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.util
Class BTreeUtil

    java.lang.Object
      org.eclipse.birt.core.util.BTreeUtil

    public class BTreeUtil

extends java.lang.Object

Nested Class Summary
`static class` | `BTreeUtil.ReaderTreeFile`

Constructor Summary
`BTreeUtil()`

Method Summary
`static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer>` | `createBTree(IArchiveFile archive, java.lang.String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer>` | `createBTree(IDocArchiveWriter writer, java.lang.String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer>` | `openBTree(IArchiveFile archive, java.lang.String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer>` | `openBTree(IDocArchiveReader reader, java.lang.String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer>` | `openBTree(IDocArchiveWriter writer, java.lang.String entryName, int dataType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BTreeUtil

    public BTreeUtil()

Method Detail

### openBTree

    public static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer> openBTree(IArchiveFile archive,
                                                                                                  java.lang.String entryName,
                                                                                                  int dataType)
                                                                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### createBTree

    public static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer> createBTree(IArchiveFile archive,
                                                                                                    java.lang.String entryName,
                                                                                                    int dataType)
                                                                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### openBTree

    public static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer> openBTree(IDocArchiveReader reader,
                                                                                                  java.lang.String entryName,
                                                                                                  int dataType)
                                                                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### openBTree

    public static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer> openBTree(IDocArchiveWriter writer,
                                                                                                  java.lang.String entryName,
                                                                                                  int dataType)
                                                                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### createBTree

    public static org.eclipse.birt.core.btree.BTree<java.lang.Object,java.lang.Integer> createBTree(IDocArchiveWriter writer,
                                                                                                    java.lang.String entryName,
                                                                                                    int dataType)
                                                                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.